# ウォレットアドレス生成

## **getpresignedurl** <a href="#getpresignedurl" id="getpresignedurl"></a>

ウォレットアドレスを生成するためのURLを取得します。

## **基本情報** <a href="#basic-info" id="basic-info"></a>

<table><thead><tr><th width="134">プロパティ</th><th width="279">詳細</th></tr></thead><tbody><tr><td>URL</td><td><code>/api/v1/getpresignedurl</code></td></tr><tr><td>Method</td><td>POST</td></tr></tbody></table>

## **リクエストパラメータ** <a href="#request" id="request"></a>

<table><thead><tr><th width="166">パラメータ</th><th width="101">種類</th><th width="156">必須</th><th width="291">詳細</th></tr></thead><tbody><tr><td>email</td><td>str</td><td>yes</td><td>NFT Gardenに登録されたアカウントのE-Mailアドレス</td></tr><tr><td>timeout</td><td>number</td><td>no</td><td>署名付きURLの有効期間(分)、正の整数、1~10080</td></tr></tbody></table>

## **リクエストのサンプル** <a href="#sample-request" id="sample-request"></a>

```json
{
  "email": "example@gmail.com",
  "timeout": 60
}
```

## **成功した場合のレスポンス例** <a href="#response" id="response"></a>

```json
{
  "request": {
      "email": "example@gmail.com",
      "timeout": 60
  },
  "response": {
      "url": "https://wallet.nftgarden.app/v1/wallet/create?expiry=139...&issued_at=178...&action=generate_wallet&issuer=example%40gmail.com&signature=lOl..."
  }
}
```

## **失敗した場合のレスポンス例(ステータスコード400)** <a href="#error" id="error"></a>

```json
{
  "errorCode": "VALIDATION_ERROR",
  "message": "入力値が不正です",
  "detail": [
      {
          "loc": [
              "body",
              "timeout"
          ],
          "msg": "ensure this value is less than or equal to 10080",
          "type": "value_error.number.not_le",
          "ctx": {
              "limit_value": 10080
          }
      }
  ]
}
```

## 署名付きURLを使ったウォレットアドレス生成 <a href="#signed-url" id="signed-url"></a>

responseのurlに対してPOSTします。

## リクエストのサンプル <a href="#signed-url-sample-request" id="signed-url-sample-request"></a>

```json

curl -X POST "https://wallet.nftgarden.app/v1/wallet/create?expiry=1390715135..."

```

## **成功した場合のレスポンス例** <a href="#signed-url-response" id="signed-url-response"></a>

```
{
    "request": {
        "expiry": 1715073373,
        "issued_at": 1715069773,
        "action": "generate_wallet",
        "issuer": "example@gmail.com",
        "signature": "omit"
    },
    "wallet": {
        "address": "0x0000000000000000000000000000000000000000",
        "private_key": "0x0000000000000000000000000000000000000000000000000000000000000000"
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nftgarden.app/jp/api/nft-api/v1.2/create-wallet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
